Subject: 30.0.93; files.el documentation refers to "ITS-id" version control
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Mon, 6 Jan 2025 09:46:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

In files.el, I read this:

    ;;; Commentary:

    ;; Defines most of Emacs's file- and directory-handling functions,
    ;; including basic file visiting, backup generation, link handling,
    ;; ITS-id version control, load- and write-hook handling, and the like.

I understand that "version control" refers to backup files rather than
VCS, but what is "ITS-id"?  I can't find any references to that in the
manual, or by grepping, but since the text was written in 1993, is it
possible that it refers to "Incompatible Time-Sharing System"...?

In any case, I think that part should either be deleted or clarified.